public class ThreadTest1 {
    public ThreadTest1() {
        Thread thread = new Thread(new Task());
        thread.start();

        System.out.println("Main Thread Stack Trace");
        Thread.dumpStack();
    }

    class Task implements Runnable {
        public void run() {
            try {
                Thread.sleep(100L);
            } catch (InterruptedException ex) {}

            System.out.println("Task Thread Stack Trace");
            Thread.dumpStack();
        }
    }

    public static void main(String[] args) {
        new ThreadTest1();
    }
}
